Bug 604981 - logrotate documentation does not discuss script arguments
Summary: logrotate documentation does not discuss script arguments
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: logrotate   
(Show other bugs)
Version: 6.0
Hardware: i686
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Jan Kaluža
QA Contact: Alex Sersen
URL:
Whiteboard:
Keywords:
Depends On: 474013
Blocks: 602643
TreeView+ depends on / blocked
 
Reported: 2010-06-17 07:58 UTC by Jan Kaluža
Modified: 2013-11-01 01:33 UTC (History)
7 users (show)

Fixed In Version: logrotate-3.7.8-11.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 474013
Environment:
Last Closed: 2010-11-10 21:06:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (5.48 KB, patch)
2010-06-17 08:05 UTC, Jan Kaluža
no flags Details | Diff

Description Jan Kaluža 2010-06-17 07:58:22 UTC
+++ This bug was initially created as a clone of Bug #474013 +++

Description of problem:
The documentation for logrotate does not discuss how it provides arguments to prerotate/postrotate scripts.

Version-Release number of selected component (if applicable):
3.7.4-9


The man page for logrotate does not mention arguments passed to the prerotate and postrotate scripts. However, bugs 241766 and 445554 indicate that logrotate passes as arguments to the script the matching log files that (are about to be / have just been) rotated.

What is the official behavior? If multiple log files are matched in a block, then how does logrotate pass those as arguments? Is the behavior altered by wildcards versus explicit names? Is the behavior altered by sharedscripts versus nosharedscripts?

--- Additional comment from d.tonhofer@m-plify.com on 2010-04-24 12:00:22 EDT ---

Seconding this bug. The man page should actually *also* say that a bash script is actually accepted between the "prerotate/postrotate" and "endscript" tags (Or is it a sh script? how about on a Debian system? Can another shell be chosen?) It is all very experimentalist.

Still open for logrotate-3.7.4-9

Comment 2 Jan Kaluža 2010-06-17 08:05:30 UTC
Created attachment 424711 [details]
proposed patch

This patch adds description of actual logrotate scripts behaviour.

Comment 3 RHEL Product and Program Management 2010-06-17 08:13:19 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 4 Jan Kaluža 2010-06-17 10:21:31 UTC
Committes in CVS, fixed in logrotate-3.7.8-11.el6.

http://post-office.corp.redhat.com/archives/cvs-commits-list/2010-June/msg02208.html

Comment 7 releng-rhel@redhat.com 2010-11-10 21:06:27 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.